Package org.flowable.engine.delegate.event.impl

# Class FlowableEntityEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableEntityEventImpl

All Implemented Interfaces:
  `FlowableEngineEntityEvent`, `FlowableEngineEvent`, `FlowableEntityEvent`, `FlowableEvent`, `FlowableProcessEngineEvent`

Direct Known Subclasses:
  `FlowableEntityWithVariablesEventImpl`, `FlowableJobRescheduledEventImpl`, `FlowableProcessTerminatedEventImpl`

public class FlowableEntityEventImpl extends FlowableProcessEventImpl implements FlowableEngineEntityEvent
Base class for all `FlowableEvent` implementations, related to entities.

Author:
  Frederik Heremans

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `entity`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableEntityEventImpl(Object entity, FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getEntity()`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### entity

    protected Object entity

- ## Constructor Details

  - ### FlowableEntityEventImpl

    public FlowableEntityEventImpl(Object entity, FlowableEngineEventType type)

- ## Method Details

  - ### getEntity

    public Object getEntity()
    Specified by:
      `getEntity` in interface `FlowableEntityEvent`
    Returns:
      the entity that is targeted by this event.